Bug 771601 - tracker should not auto-start in KDE/XFCE
Summary: tracker should not auto-start in KDE/XFCE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F18Target-kde
TreeView+ depends on / blocked
 
Reported: 2012-01-04 09:33 UTC by Michal Hlavinka
Modified: 2012-09-25 18:07 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-17 23:00:05 UTC


Attachments (Terms of Use)

Description Michal Hlavinka 2012-01-04 09:33:36 UTC
Description of problem:
KDE has it's own desktop search and indexer - nepomuk+strigi aka "semantic desktop". Tracker is redundant in KDE, just wasting resources.

Version-Release number of selected component (if applicable):
tracker-0.12.8-2.fc16

How reproducible:
always

Steps to Reproduce:
1.KDE log in 
2.
3.
  
Actual results:
tracker processes started in KDE


Expected results:
no tracker processes started in KDE

Additional info:

Comment 1 Emilio Scalise 2012-03-17 09:44:52 UTC
please fix this!

Tracker in kde is just useless!

That's valid also on a fully updated fedora 16 installation.

Comment 2 Michal Hlavinka 2012-06-29 08:12:55 UTC
This bug seems easy to fix. If you don't have enough time to fix it, let us know, so we can ask some provenpackager to commit necessary changes.

Comment 3 Michal Hlavinka 2012-08-15 12:45:10 UTC
This bug (and all other) seems to be ignored. I checked the non-responsive maintainer process. So I checked vacation list, first. Then I checked activity in bugzilla. There are 375 bugs in NEW (a few are ASSIGNED because they were auto-closed and reopened). I searched for bugs with the same assignee (any state) with another condition "changed by = assignee" and maybe my searching skills are bad, but it returned empty result. So, if my search query was correct, there is no activity in bugzilla. 

The only thing preventing me from starting non-responsive maintainer process is "After other 7 days (now 3 weeks total), the reporter posts a formal request to the Fedora devel list with the bug link, indicating all reasonable efforts to contact the maintainer have failed *and* *that* *they* *wish* *to* *take* *over* *the* *package*." I don't want to take over any package.

Anyway, there seems to be zero hope that this bug will get fixed. We'll need provenpackager for this.

Rex: Could you fix it for us?

Comment 4 Rex Dieter 2012-08-15 12:52:07 UTC
I guess I can flex some provenpackager muscle if I have to, since this affects me (and my deployments @ work) directly too.

Deji, do you have any preference between implementing:
OnlyShowIn=GNOME;
or
NotShowIn=KDE;

here?

Comment 5 Rex Dieter 2012-08-15 12:59:26 UTC
Tracking to make sure it's highlighted to be addressed prior to f18 release too

Comment 6 Rex Dieter 2012-08-15 13:22:06 UTC
xfce/lxde chimed in not wanting this either, guess I'll go with the OnlyShowIn=GNOME; approach for now

Comment 7 Rex Dieter 2012-08-15 13:23:40 UTC
and Fwiw, these autostart files currently contain:
OnlyShowIn=GNOME;KDE;XFCE;
so even easier fix.

Comment 9 Fedora Update System 2012-08-15 14:37:44 UTC
tracker-0.14.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tracker-0.14.2-2.fc18

Comment 10 Fedora Update System 2012-08-15 15:58:21 UTC
Package tracker-0.14.2-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tracker-0.14.2-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11903/tracker-0.14.2-2.fc18
then log in and leave karma (feedback).

Comment 11 Jeff Bastian 2012-09-13 15:12:19 UTC
This bug looks similar to bug 747689 which I opened nearly a year ago when I noticed tracker running in KDE.

Comment 12 Fedora Update System 2012-09-13 15:31:20 UTC
tracker-0.14.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tracker-0.14.2-2.fc17

Comment 13 Fedora Update System 2012-09-13 15:32:04 UTC
tracker-0.12.10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tracker-0.12.10-2.fc16

Comment 14 Fedora Update System 2012-09-17 23:00:05 UTC
tracker-0.14.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-09-20 16:08:37 UTC
tracker-0.14.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tracker-0.14.2-3.fc17

Comment 16 Fedora Update System 2012-09-20 16:09:02 UTC
tracker-0.14.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tracker-0.14.2-4.fc18

Comment 17 Fedora Update System 2012-09-25 16:41:09 UTC
tracker-0.14.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Greta Watson 2012-09-25 18:07:26 UTC
I updated to tracker-0.14.2-3.fc17.x86_64 this morning and rebooted.  Tracker is not running, so bug fix took care of the problem for me.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.